#
# spec file for package python-jsonrpclib-pelix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jsonrpclib-pelix
Version:        0.3.1
Release:        lp151.2.1
Summary:        JSPN-RPC over HTTP Library for Pelix Remote Services
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/tcalmant/jsonrpclib/
Source:         https://files.pythonhosted.org/packages/source/j/jsonrpclib-pelix/jsonrpclib-pelix-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  sed
BuildArch:      noarch
%python_subpackages

%description
A Python (2 & 3) JSON-RPC over HTTP that mirrors xmlrpclib syntax.

%prep
%setup -q -n jsonrpclib-pelix-%{version}
chmod a-x jsonrpclib/*.py
sed -i '1d' jsonrpclib/*.py 
sed -i 's/\r$//' LICENSE.txt
sed -i 's/\r$//' README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/*
%license LICENSE.txt
%doc README.rst

%changelog
* Fri Nov 17 2017 mimi.vx@gmail.com
- remove uselees _service
- fix rpmlint warnings
* Thu Nov  2 2017 marec@detebe.org
- initial package build
